Visual LISP, AutoLISP and General Customization
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Attribute Rotate

4 REPLIES 4
Reply
Message 1 of 5
Anonymous
379 Views, 4 Replies

Attribute Rotate

Hello,
there used to be this snappy little lisp routine called
something like attrot8.lsp. It would allow you to rotate the attributes of a block after it was inserted. I realize that the 'torient' command does close to the same thing, but for differing reasons, I need that lisp routine. I've looked everywhere but I can not for the life of me find it.

Does someone know where it is?

thanks!
tracy
4 REPLIES 4
Message 2 of 5
Anonymous
in reply to: Anonymous

How abut the -ATTEDIT command, there is a rotate
option.

 


--
-Jason

 

Member of the Autodesk Discussion Forum Moderator Program

 

 


style="PADDING-RIGHT: 0px; PADDING-LEFT: 5px; MARGIN-LEFT: 5px; BORDER-LEFT: #000000 2px solid; MARGIN-RIGHT: 0px">
Hello,

there used to be this snappy little lisp routine called
something like
attrot8.lsp. It would allow you to rotate the attributes of a block after it
was inserted. I realize that the 'torient' command does close to the same
thing, but for differing reasons, I need that lisp routine. I've looked
everywhere but I can not for the life of me find it.

Does someone know where it is?

thanks!
tracy

Message 3 of 5
Anonymous
in reply to: Anonymous



Jason, when did you become part of the moderator group. Reply to ddr@bgark.com

Jason Piercey wrote:

 How abut the
-ATTEDIT command, there is a rotate option.
  

--

-Jason Member of the Autodesk Discussion Forum Moderator Program  

style="PADDING-RIGHT: 0px; PADDING-LEFT: 5px; MARGIN-LEFT: 5px; BORDER-LEFT: #000000 2px solid; MARGIN-RIGHT: 0px">"tracy"
<matteson@fentressbradburn.com>
wrote in message news:f0bdbd6.-1@WebX.maYIadrTaRb...Hello,

there used to be this snappy little lisp routine called

something like attrot8.lsp. It would allow you to rotate the attributes
of a block after it was inserted. I realize that the 'torient' command
does close to the same thing, but for differing reasons, I need that lisp
routine. I've looked everywhere but I can not for the life of me find it.

Does someone know where it is?

thanks!

tracy



Message 4 of 5
Anonymous
in reply to: Anonymous

Tracy, try this. Not the cleanest i'm sure, but it
works.

 

It expects an ename, as in (aar (car (entsel)))

 

(defun AAR
 (O-ENAME / ENAME ENTDXF
)
 (setq ENAME (entnext O-ENAME))
 (if ENAME
 
(progn
   (setq ENTDXF (entget ENAME))
   (while (/=
(cdr (assoc 0 ENTDXF)) "SEQEND")
    (if (= (cdr (assoc 0
ENTDXF)) "ATTRIB")
     (command ".attedit" "" "" "" ""
(cdr (assoc -1 ENTDXF)) "a" "0" "")
   
)
    (setq ENAME (entnext
ENAME)
          ENTDXF (entget
ENAME)
    )
   )
 
)
 )
)

 


If you have a selection set called SSET, as you
step through, send each object to AAR.

 

(setq INDEX 0)
(repeat (sslength
SSET)
 (AAR (ssname SSET INDEX))
 (setq INDEX (1+
INDEX))
)

 


Let me know if this isn’t clear.

 

Daron

 


 
Message 5 of 5
Anonymous
in reply to: Anonymous

If you're using 2002, you can enter a
text angle in eattedit.

If you're looking for something a
little more like the conventional rotate command you'll need a combination of
nentsel and grread, in which case, it's probably better just to script the
-attedit command.

John


style="PADDING-RIGHT: 0px; PADDING-LEFT: 5px; MARGIN-LEFT: 5px; BORDER-LEFT: #000000 2px solid; MARGIN-RIGHT: 0px">
Hello,

there used to be this snappy little lisp routine called
something like
attrot8.lsp. It would allow you to rotate the attributes of a block after it
was inserted. I realize that the 'torient' command does close to the same
thing, but for differing reasons, I need that lisp routine. I've looked
everywhere but I can not for the life of me find it.

Does someone know where it is?

thanks!
tracy

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report

”Boost